{ lib, stdenv
, desktop-file-utils
, gobject-introspection
, gtk4
, libadwaita
, meson
, ninja
, python3
, wrapGAppsHook4
}:

let
  pyEnv = python3.withPackages (ps: with ps; [
    pygobject3
    requests
  ]);
in
stdenv.mkDerivation (final: with final; {
  pname = "lemonade";
  version = "2023.10.29";

  src = ./.;

  nativeBuildInputs = [
    desktop-file-utils
    gobject-introspection
    meson
    ninja
    wrapGAppsHook4
  ];
  buildInputs = [
    gtk4
    libadwaita
    pyEnv
  ];

  meta = with lib; {
    description = "🍋 Follow discussions on Lemmy";
    homepage = "https://github.com/mdwalters/lemonade";
    license = licenses.gpl3Plus;
    maintainers = with maintainers; [ colinsane ];
  };
})
