{
  inputs.nixpkgs.url = "nixpkgs/nixos-23.11";
  outputs = { self, nixpkgs  }:
  let
    pkgs = import nixpkgs {
      system = "x86_64-linux";
      overlays = [ self.outputs.overlays.default ];
    };
  in with self.outputs.packages.x86_64-linux;
  {
    overlays.default = final: prev: with final; {
      lemmy-lemonade = callPackage ./default.nix { };
    };
    packages.x86_64-linux = {
      # avoid exposing ALL of nixpkgs
      inherit (pkgs) lemmy-lemonade;
    };

    defaultPackage.x86_64-linux = lemmy-lemonade;
  };
}

